"""==============================================
منطق برنامه تعیین کننده اینکه آیا یک عدد ورودی یک عدد اول است یا نه
=============================================="""

n = int(input("Please enter your number: "))


#             with while
#-----------------------------------------
p = 1
count = 2
while count <= n/2:
    if n % count == 0:
        p+=1
    count += 1
if p == 1:
    print("عدد اول است")
else:
    print("عدد اول نیست")


#       with for
#-----------------------------
p = 1
for count in range(2,(n//2)+1):
    if n % count == 0:
        p += 1
if p == 1:
    print("عدد اول است")
else:
    print("عدد اول نیست")

